Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QWidgetItem Class Reference

The QWidgetItem class is a layout item that represents a widget. More...

`#include <qlayout.h>`

Inherits QLayoutItem.

List of all member functions.

## Public Members

- QWidgetItem ( QWidget * w )
- virtual QSize sizeHint () const
- virtual QSize minimumSize () const
- virtual QSize maximumSize () const
- virtual QSizePolicy::ExpandData expanding () const
- virtual bool isEmpty () const
- virtual void setGeometry ( const QRect & r )
- virtual QWidget * widget ()

## Detailed Description

The QWidgetItem class is a layout item that represents a widget.

This is used by custom layouts.

See also QLayout, QLayout::widget(), Widget Appearance and Style, and Layout Management.

## Member Function Documentation

### QWidgetItem::QWidgetItem ( QWidget * w )

Creates an item containing widget w.

### QSizePolicy::ExpandData QWidgetItem::expanding () const`[virtual]`

Returns whether this item's widget can make use of more space than sizeHint(). A value of `Vertical` or `Horizontal` means that it wants to grow in only one dimension, whereas `BothDirections` means that it wants to grow in both dimensions and `NoDirection` means that it doesn't want to grow at all.

Reimplemented from QLayoutItem.

### bool QWidgetItem::isEmpty () const`[virtual]`

Returns TRUE if the widget has been hidden; otherwise returns FALSE.

Reimplemented from QLayoutItem.

### QSize QWidgetItem::maximumSize () const`[virtual]`

Returns the maximum size of this item.

Reimplemented from QLayoutItem.

### QSize QWidgetItem::minimumSize () const`[virtual]`

Returns the minimum size of this item.

Reimplemented from QLayoutItem.

### void QWidgetItem::setGeometry ( const QRect & r )`[virtual]`

Sets the geometry of this item's widget to be contained within rect r, taking alignment and maximum size into account.

Reimplemented from QLayoutItem.

### QSize QWidgetItem::sizeHint () const`[virtual]`

Returns the preferred size of this item.

Reimplemented from QLayoutItem.

### QWidget * QWidgetItem::widget ()`[virtual]`

Returns the widget managed by this item.

Reimplemented from QLayoutItem.

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.